Subject: Re: Git issues with submodules

From: Jens Lehmann <[email-masked]>
Date: Sat, 23 Nov 2013 21:10:44 +0100

Am 22.11.2013 23:09, schrieb Jonathan Nieder:
> Heiko Voigt wrote:
> 
>> After that we can discuss whether add should add submodules that are
>> tracked but not shown. How about commit -a ? Should it also ignore the
>> change? I am undecided here. There does not seem to be any good
>> decision. From the users point of view we should probably not add it
>> since its not visible in status. What do others think?
> 
> I agree --- it should not add.

I concur: adding a change that is hidden from the user during
the process is not a good idea.

> That leaves the question of how to add explicitly.  "git add -f"?
> "git add --ignore-submodules=none"?

I suspect "git add" and "git commit -a" have to learn the
--ignore-submodules option anyway if we go that route. There
are points in time (e.g. releasing a new version or having run
an expansive test successfully) where some users want to update
the submodules that are normally ignored to record the exact
versions involved.